summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Nishant Limbachia2010-09-21 01:22:06 +0200
committer Robby Workman2010-09-22 05:09:42 +0200
commit68992763c25422917ed066d030ff8d7fb640358b (patch)
treefb67c89b7988d76e7aaaad4b013fccb23bf00fcc /network
parentb1e97fda60c03cc3eddbe3f6bdecd549142f072d (diff)
downloadslackbuilds-68992763c25422917ed066d030ff8d7fb640358b.tar.gz
network/dovecot-pigeonhole: Added (Sieve & Managesieve support)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/dovecot-pigeonhole/README10
-rw-r--r--network/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild109
-rw-r--r--network/dovecot-pigeonhole/dovecot-pigeonhole.info10
-rw-r--r--network/dovecot-pigeonhole/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/network/dovecot-pigeonhole/README b/network/dovecot-pigeonhole/README
new file mode 100644
index 0000000000..60295deaec
--- /dev/null
+++ b/network/dovecot-pigeonhole/README
@@ -0,0 +1,10 @@
+Pigeonhole is the name of the project that adds support for the Sieve
+language (RFC 5228) and the ManageSieve protocol (RFC 5804) to the
+Dovecot Secure IMAP/POP3 Server.
+
+Requires: dovecot
+
+Configuration: sieve and managesieve config files are placed with
+dovecot documentation. Copy over 20-managesieve.conf and 90-sieve.conf
+to /etc/dovecot/conf.d and edit accordingly.
+
diff --git a/network/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild b/network/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
new file mode 100644
index 0000000000..b2729a3fda
--- /dev/null
+++ b/network/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware Package Build Script for pigeonhole
+# Home Page: http://pigeonhole.dovecot.org/
+
+# Copyright (c) 2010, Nishant Limbachia, Hoffman Estates, IL, USA
+# <nishant _AT_ mnspace _DOT_ net>
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM="dovecot-pigeonhole"
+VERSION=${VERSION:-0.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+SRCNAM="dovecot-2.0-pigeonhole"
+
+rm -rf $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+
+chown -R root.root .
+find . \
+\( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+-exec chmod 644 {} \;
+find . \
+\( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+-exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --with-dovecot=/usr/lib${LIBDIRSUFFIX}/dovecot \
+ --with-docs \
+ --with-managesieve \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING* INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+### compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/dovecot-pigeonhole/dovecot-pigeonhole.info b/network/dovecot-pigeonhole/dovecot-pigeonhole.info
new file mode 100644
index 0000000000..2e84012709
--- /dev/null
+++ b/network/dovecot-pigeonhole/dovecot-pigeonhole.info
@@ -0,0 +1,10 @@
+PRGNAM="dovecot-pigeonhole"
+VERSION="0.2.0"
+HOMEPAGE="http://pigeonhole.dovecot.org/"
+DOWNLOAD="http://www.rename-it.nl/dovecot/2.0/dovecot-2.0-pigeonhole-0.2.0.tar.gz"
+MD5SUM="dcd7e0567c0b9ec2fee0be1708c3d3f7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/network/dovecot-pigeonhole/slack-desc b/network/dovecot-pigeonhole/slack-desc
new file mode 100644
index 0000000000..80c7fe74a7
--- /dev/null
+++ b/network/dovecot-pigeonhole/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+dovecot-pigeonhole: dovecot-pigeonhole (Sieve & Managesieve support for Dovecot)
+dovecot-pigeonhole:
+dovecot-pigeonhole: dovecot-pigeonhole project provides Sieve language support and
+dovecot-pigeonhole: ManageSieve protocol support for Dovecot imap/pop3 server.
+dovecot-pigeonhole:
+dovecot-pigeonhole: Home Page: http://pigeonhole.dovecot.org/
+dovecot-pigeonhole:
+dovecot-pigeonhole:
+dovecot-pigeonhole:
+dovecot-pigeonhole:
+dovecot-pigeonhole: